#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from typing import Self

class FilesDriverInterface:

    def start(self:Self) -> None:pass
    
    def fix_path(self:Self, path:str) -> str:pass

    def get_absolute_path(self:Self, path:str) -> str|None:pass

    def load(self:Self, path:str, as_string:bool = False) -> bytes|str|None:pass

    def get_mime(self:Self, path:str) -> str|None:pass